# This file was generated by running 'miaxml2nipype.py /build/mia-HPAUEr/mia-2.4.3/obj-mips64el-linux-gnuabi64/doc/mia-2dmyoserial-nonrigid.xml /build/mia-HPAUEr/mia-2.4.3/obj-mips64el-linux-gnuabi64/src/mia_2dmyoserial_nonrigid.py'
# '/build/mia-HPAUEr/mia-2.4.3/obj-mips64el-linux-gnuabi64/src/mia_2dmyoserial_nonrigid.py' can be created by running 'mia-2dmyoserial-nonrigid --help-xml >/build/mia-HPAUEr/mia-2.4.3/obj-mips64el-linux-gnuabi64/src/mia_2dmyoserial_nonrigid.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dmyoserial_nonrigid_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input perfusion data set""", argstr="--in-file %s", exists=True , mandatory = True )
	registered = traits.String( desc="""file name base for registered fiels""", argstr="--registered %s" )
	optimizer = traits.String( desc="""Optimizer used for minimizationOptimizer used for minimization""", argstr="--optimizer %s" )
	mg_levels = traits.Int( desc="""multi-resolution levelsmulti-resolution levels""", argstr="--mg-levels %d" )
	transForm = traits.String( desc="""transformation typetransformation type""", argstr="--transForm %s" )
	ref = traits.Int( desc="""reference frame (-1 == use image in the middle)reference frame (-1 == use image in the middle)""", argstr="--ref %d" )
	skip = traits.Int( desc="""skip registration of these images at the beginning of the seriesskip registration of these images at the beginning of the series""", argstr="--skip %d" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output perfusion data set", argstr="--out-file %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type 2dimage/fullcost", argstr="%s")
#
# Output specification
#
class mia_2dmyoserial_nonrigid_OutputSpec(TraitedSpec):
	out_file = File(desc="output perfusion data set", exists = True )


#
# Task class specification
#
class mia_2dmyoserial_nonrigid(CommandLine):
	input_spec = mia_2dmyoserial_nonrigid_InputSpec
	output_spec = mia_2dmyoserial_nonrigid_OutputSpec
	_cmd = "mia-2dmyoserial-nonrigid"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dmyoserial_nonrigid()
	print( mia_prog.cmdline)
