# This file was generated by running 'miaxml2nipype.py /build/mia-HPAUEr/mia-2.4.3/obj-mips64el-linux-gnuabi64/doc/mia-2dsegment-local-kmeans.xml /build/mia-HPAUEr/mia-2.4.3/obj-mips64el-linux-gnuabi64/src/mia_2dsegment_local_kmeans.py'
# '/build/mia-HPAUEr/mia-2.4.3/obj-mips64el-linux-gnuabi64/src/mia_2dsegment_local_kmeans.py' can be created by running 'mia-2dsegment-local-kmeans --help-xml >/build/mia-HPAUEr/mia-2.4.3/obj-mips64el-linux-gnuabi64/src/mia_2dsegment_local_kmeans.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dsegment_local_kmeans_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""image to be segmented""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	grid_spacing = traits.Int( desc="""Spacing of the grid used to modulate the intensity inhomogeneities""", argstr="--grid-spacing %d" )
	nclasses = traits.Int( desc="""Number of intensity classes to segment""", argstr="--nclasses %d" )
	relative_cluster_threshold = traits.Float( desc="""Number of intensity classes to segment""", argstr="--relative-cluster-threshold %f" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="class label image based on merging local labels", argstr="--out-file %s" )
	out_file2 = File(desc="class label image based on classifying by using the interpolated class centers ", argstr="--out-file2 %s" )
	debug_centers = File(desc="Save the class center images to a debug file (type is double)", argstr="--debug-centers %s" )

#
# Output specification
#
class mia_2dsegment_local_kmeans_OutputSpec(TraitedSpec):
	out_file = File(desc="class label image based on merging local labels")
	out_file2 = File(desc="class label image based on classifying by using the interpolated class centers ")
	debug_centers = File(desc="Save the class center images to a debug file (type is double)")


#
# Task class specification
#
class mia_2dsegment_local_kmeans(CommandLine):
	input_spec = mia_2dsegment_local_kmeans_InputSpec
	output_spec = mia_2dsegment_local_kmeans_OutputSpec
	_cmd = "mia-2dsegment-local-kmeans"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		outputs['out_file2']=os.path.abspath(self.inputs.out_file2)
		outputs['debug_centers']=os.path.abspath(self.inputs.debug_centers)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dsegment_local_kmeans()
	print( mia_prog.cmdline)
